from django.db import models

class FastfoodChain(models.Model):
    name = models.CharField(primary_key=True, max_length=100)


class Restaurant(models.Model):
    name = models.CharField(primary_key=True, max_length=100)
    chain = models.ForeignKey(FastfoodChain)


class RestaurantProfile(models.Model):
    user = models.ForeignKey('auth.User')
    restaurant = models.ForeignKey(Restaurant)

    is_favorite = models.BooleanField(default=False)
